Package org.gradle.api.reflect

## Interface HasPublicType

-     public interface HasPublicType

  Allows a scriptable object, such as a project extension, to declare its preferred public type. The public type of an object is the one exposed to statically-typed consumers, such as Kotlin build scripts, by default.
  Since:
    3.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TypeOf<?>` | `getPublicType()` | Public type.

- - ### Method Detail

    - #### getPublicType

          TypeOf<?> getPublicType()

      Public type.
      Returns:
        this object's public type